Bug 25996 - Installer dies after loading SCSI controller aic7xxx
Installer dies after loading SCSI controller aic7xxx
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brock Organ
Brock Organ
Florence RC-1
Depends On:
  Show dependency treegraph
Reported: 2001-02-04 18:38 EST by jbj
Modified: 2007-04-18 12:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-20 12:24:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description jbj 2001-02-04 18:38:51 EST
I cant install fisher because the installer freexes after loading
SCSCI controller module aic7xxxx


Comment 1 Glen Foster 2001-02-05 17:50:44 EST
We (Red Hat) should really try hard to fix this before next release.
Comment 2 adam.huffman 2001-02-05 21:33:23 EST
This happened for me too, I got the following kernel Oops:

aic7xxx_abort returns 8194
kernel BUG at /usr/src/bs/BUILD/kernel-2.4.0/linux/include/asm/pci.h:61!
invalid operand: 0000
CPU:    0
EIP:    0010:[<c482b358>]
EFLAGS: 00010082
eax: 00000049   ebx: c3847800   ecx: c3fd6000   edx: c0231d28
esi: c3845e64   edi: c38480c6   ebp: c384c060   esp: c3845d6c
ds: 0018        es: 0018        ss: 0018
Process scsi_eh_0 (pid: 26, stackpage=c3845000)
Stack: c483e39b c483e560 0000003d 00000000 c117ce00 c117ce00 00000000 c482bb2c
       0000003c 00000002 c117ce00 c117cc00 00000000 00000000 c482af72 c117cc00
       c3e07460 00000000 00000082 00000000 00000000 00000000 00000000 00000000
Call Trace: [<c483e39b>] [<c483e560>] [<c482bb2c>] [<c482af72>] [<c4815f46>]
[<c4815a20>] [<c4815d67>]
        [<c48165e5>] [<c4816bb2>] [<c0108fb1>] [<c01074fe>] [<c4816ad4>]

Code: 0f 0b 83 c4 0c 8d 86 00 00 00 40 89 03 8b 4c 24 08 8b 41 64

Here is the output of lspci -v:

00:00.0 Host bridge: Intel Corporation 430TX - 82439TX MTXC (rev 01)
        Flags: bus master, medium devsel, latency 32

00:07.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 01)
        Flags: bus master, medium devsel, latency 0

00:07.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01) (prog-if 80
        Flags: bus master, medium devsel, latency 32
        I/O ports at ffa0 [size=16]

00:07.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01) (prog-if 00
        Flags: medium devsel
        I/O ports at df40 [disabled] [size=32]

00:07.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 01)
        Flags: medium devsel

00:08.0 VGA compatible controller: S3 Inc. 86c968 [Vision 968 VRAM] rev 0
(prog-if 00 [VGA])
        Flags: stepping, medium devsel, IRQ 11
        Memory at 10000000 (32-bit, non-prefetchable) [size=64M]
        Expansion ROM at 7f000000 [disabled] [size=64K]

00:09.0 Ethernet controller: VIA Technologies, Inc. VT86C100A [Rhine 10/100]
(rev 06)
        Subsystem: D-Link System Inc DFE-530TX
        Flags: bus master, medium devsel, latency 64, IRQ 5
        I/O ports at d880 [size=128]
        Memory at ffefef80 (32-bit, non-prefetchable) [size=128]
        Expansion ROM at ffee0000 [disabled] [size=64K]

00:0a.0 Multimedia audio controller: Creative Labs SB Live! EMU10000 (rev 08)
        Subsystem: Creative Labs CT4760 SBLive!
        Flags: bus master, medium devsel, latency 64, IRQ 9
        I/O ports at df80 [size=32]
        Capabilities: [dc] Power Management version 1

00:0a.1 Input device controller: Creative Labs SB Live! (rev 08)
        Subsystem: Creative Labs Gameport Joystick
        Flags: bus master, medium devsel, latency 64
        I/O ports at dff0 [size=8]
        Capabilities: [dc] Power Management version 1

00:0b.0 SCSI storage controller: Adaptec AHA-7850 (rev 03)
        Subsystem: Adaptec AHA-2904/Integrated AIC-7850
        Flags: bus master, medium devsel, latency 64, IRQ 10
        I/O ports at dc00 [size=256]
        Memory at ffeff000 (32-bit, non-prefetchable) [size=4K]
        Capabilities: [dc] Power Management version 1
Comment 3 Daniel Hammer 2001-02-06 05:49:05 EST
I have the same problem with the new AIC7xxx SCSI driver that comes
with kernel 2.4.0-0.99.x. My box: 

 o Motherboard - Asus P2B-LS ACPI Bios Revision 1011
   with Adaptec AIC-7890/1 Ultra2 SCSI host adapter onboard
 o 2 IBM hard drives DCAS-34330W, DRVS09V
 o PLEXTOR CD-ROM PX-40TS    Rev: 1.00
 o YAMAHA  CRW4416S          Rev: 1.0e

When compiling the kernel with the new AIC7xxx SCSi driver my box 
hangs during boot when scanning the SCSI bus. The 2 hard drives and
my Plextor CD-ROM drive are recognized. When looking for the last 
device the boot process falls into a sleeping state.

scsi0:0:4:0: Attempting to queue an ABORT message
scsi0:0:4:0: Device is active, asserting ATN
Recovery code sleeping

When after this resetting the box, even the Adaptec Bios does only know the
first 3 devices but not the Yamaha CDRW. I have to power off and then during 
the next time booting I should let the Adaptec SCSI Bios utility 
rescan the Bus. Then it finds all my devices again.

For this reason the "fisher" CD does not boot 'n hangs when looking
for the AIC7xxx SCSI driver and then scanning the SCSI bus.

When compiling the 2.4.0-0.99.5 kernel with aic7xxx_old SCSI drive 
everything is ok.
Comment 4 Michael Fulbright 2001-02-06 11:42:55 EST
Erik this is a kernel driver issue right?
Comment 5 Erik Troan 2001-02-06 12:13:43 EST
Sure is. We're reverting drivers this week, so it should get better. I'll hold
off on closing this until we actually do revert though.
Comment 6 Matthias Grimm 2001-02-07 16:26:42 EST
I got the same problem here.
Hardware: AMD K7 (Tbird) 900MHz, 256 MB RAM (pc100) on an ASUS A7V (Bios 1005C)
adaptec aha2940u2W (Bios 2.57.2) (id7)
IBM DRVS09V (id0)
IBM DGVS09U (id1)
IBM DCHS09U (id2)
Seagate ST32550N (id3)
Pioneer DVD-303 (id4)
TEAC CDR-58S (id5)

Graphics-Board: ASUS AGP-V7700 Pure/Deluxe
Sound: Creative SB Live! Value
Net: Intel(R) PRO/100+ Management Adapter

System locks completely when loading aic7xxxx. Had to disconnect power to 

Comment 7 Erik Troan 2001-02-08 15:31:51 EST
This is reverted internally, but I can't really fix it for w/o another full release.
Comment 8 Brock Organ 2001-02-20 12:24:20 EST
verified better behavior for aic7xxx machines in test lab using qa0217.1 ...

Note You need to log in before you can comment on or make changes to this bug.